Get a single support ticket by ID.
curl --request GET \
--url https://api.parallellabs.app/api/v0/support/tickets/{ticketId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/support/tickets/{ticketId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/support/tickets/{ticketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"companyId": "<string>",
"userId": "<string>",
"whitelabelId": "<string>",
"subject": "<string>",
"description": "<string>",
"severity": "<string>",
"status": "<string>",
"ticketType": "<string>",
"attachments": [
"<string>"
],
"response": "<string>",
"resolvedAt": "<string>",
"resolvedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Support
Get a single support ticket by ID.
GET
/
api
/
v0
/
support
/
tickets
/
{ticketId}
Get a single support ticket by ID.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
The requested support ticket
Support ticket object
Ticket ID
Associated company ID (may be null for general tickets)
User ID of the ticket creator
Whitelabel instance ID if submitted from a whitelabel domain
Ticket subject
Ticket description
Severity (low, medium, high, critical)
Status (open, in_progress, resolved, closed)
Ticket type (bug, feature_request, question, other)
Attachment objects with type info
Final support response when resolved
ISO timestamp when the ticket was resolved
User ID of the resolver
ISO timestamp when the ticket was created
ISO timestamp when the ticket was last updated

